Summary:	Tools for ploop devices and images
Summary(pl.UTF-8):	Narzędzia do urządzeń i obrazów ploop
Name:		ploop
Version:	1.12.2
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://download.openvz.org/utils/ploop/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	75ddd6a972a531a1555d21572092a69d
URL:		http://wiki.openvz.org/Ploop
BuildRequires:	libxml2-devel
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/sbin/modprobe
Requires:	awk
Requires:	parted
Requires:	sed
Requires:	udev-core >= 1:182-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains tools to work with ploop devices and images.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia do pracy z urządzeniami o obrazami ploop.

%package libs
Summary:	ploop library
Summary(pl.UTF-8):	Biblioteka ploop
Group:		Libraries
Obsoletes:	ploop-lib

%description libs
Parallels loopback (ploop) block device API library.

%description libs -l pl.UTF-8
Biblioteka do obsługi urządzeń blokowych ploop (Parallels loopback).

%package devel
Summary:	Header files for ploop library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ploop
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for ploop library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ploop.

%package static
Summary:	Static ploop library
Summary(pl.UTF-8):	Biblioteka statyczna ploop
Group:		Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ploop library.

%description static -l pl.UTF-8
Biblioteka statyczna ploop.

%prep
%setup -q

%build
LDFLAGS="%{rpmldflags}" \
LDLIBS="-lpthread" \
%{__make} all \
	V=1 \
	DEBUG= \
	CC="%{__cc}" \
	CPPFLAGS="%{rpmcppflags}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	V=1 \
	INSTALL="install -p" \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc tools/README
%attr(755,root,root) /sbin/mount.ploop
%attr(755,root,root) /sbin/umount.ploop
%attr(755,root,root) %{_sbindir}/ploop
%attr(755,root,root) %{_sbindir}/ploop-balloon
%{_mandir}/man8/ploop.8*
%{systemdtmpfilesdir}/ploop.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libploop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libploop.so.1
%dir /var/lock/ploop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libploop.so
%dir %{_includedir}/ploop
%{_includedir}/ploop/libploop.h
%{_includedir}/ploop/dynload.h
%{_includedir}/ploop/ploop1_image.h
%{_includedir}/ploop/ploop_if.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libploop.a
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ploop.git;a=log;h=master

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> f60c578
- updated to 1.12.2

* Wed Nov 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 96aae28
- updated to 1.12.1
- updated flags passing, -lpthread workaround - builds now
- added mount/umount scripts dependencies (modprobe, awk, sed)

* Sun Nov 09 2014 Elan Ruusamäe <glen@delfi.ee> c536f7d
- md5 fix

* Sun Nov 09 2014 Elan Ruusamäe <glen@delfi.ee> 23cff88
- up to 1.8

* Sun Nov 09 2014 Elan Ruusamäe <glen@delfi.ee> 8d45109
- really remove. refs 2acd562

* Sat Oct 27 2012 Łukasz Chrustek <lukasz@chrustek.net> 948d638
- Merge branch 'master' of ssh://git.pld-linux.org/packages/ploop

* Sat Oct 27 2012 Łukasz Chrustek <lukasz@chrustek.net> 7471800
- up to 1.5

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 91664c7
- package ploop(8) manual

* Sat Jul 21 2012 Łukasz Chrustek <lukasz@chrustek.net> 4d67c02
- Up to 1.4

* Sat May 26 2012 Łukasz Chrustek <lukasz@chrustek.net> 2acd562
- removed 60-persistant-storage-ploop.rules - moved to the udev (by patch)

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 38a9044
- install file as 60-persistent-storage-ploop.rules (without typo in filename)

* Wed May 23 2012 Łukasz Chrustek <lukasz@chrustek.net> 93b2b29
- changed triggerin to external file for udev, is it OK ?
- added 60-persistant-storage-ploop.rules

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> dbd1cb3
- pl
- added -static

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> d81e111
- inject our cflags, ldflags

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> ff554b6
- cleanups, pldize, todos; renamed -lib to -libs

* Tue May 15 2012 Łukasz Chrustek <lukasz@chrustek.net> ec9f1f1
- initial commit - builds

